Bug 158374 - soft lockup detected on CPU#0 catches ide_dma_test_irq
soft lockup detected on CPU#0 catches ide_dma_test_irq
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-21 01:08 EDT by Tom Mitchell
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 18:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unedited console info. (19.71 KB, text/plain)
2005-05-21 01:10 EDT, Tom Mitchell
no flags Details
Second console capture... (17.09 KB, text/plain)
2005-05-21 21:45 EDT, Tom Mitchell
no flags Details
ttyS0/console capture of the error (15.72 KB, text/plain)
2005-07-02 13:17 EDT, Tom Mitchell
no flags Details

  None (edit)
Description Tom Mitchell 2005-05-21 01:08:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
without ide=nodma  I observed this on  2.6.11-1.1323_FC4 (bhcompile@thor.perf.redhat.com)
Call Trace: <#MC> <ffffffff8013a3f5>{panic+133} <ffffffff80116d28>{print_mce+136}
       <ffffffff80116df9>{mce_panic+137} <ffffffff801173d2>{do_machine_check+754}
       <ffffffff802fd710>{ide_dma_intr+0} <ffffffff80110127>{machine_check+127}
       <ffffffff802fd710>{ide_dma_intr+0} <ffffffff802fdd20>{__ide_dma_test_irq+0}
       <ffffffff802f5104>{ide_inb+4}  <EOE>  <IRQ> <ffffffff802fdd38>{__ide_dma_test_irq+24}
       <ffffffff802f44c0>{ide_intr+880} <ffffffff8017017c>{handle_IRQ_event+44}
       <ffffffff8017038d>{__do_IRQ+477} <ffffffff8013c49e>{profile_tick+78}
       <ffffffff80112098>{do_IRQ+72} <ffffffff8010f6a3>{ret_from_intr+0}
        <EOI> <ffffffff8010d230>{default_idle+0} <ffffffff8010d252>{default_idle+34}
       <ffffffff8010d291>{cpu_idle+49} <ffffffff805847e5>{start_kernel+469}
       <ffffffff805841f4>{_sinittext+500}
 Badness in panic at kernel/panic.c:119 (Tainted: G   M )


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. x86_64 and Kernel command line: ro root=/dev/VolGroup00/LogVol00  console=tty0 console=ttyS0,9600 debug acXpi=oXff aXgp=oXff iXde=nXodma

2. boot...

3. Panics too often... so I still have the easy to edit flags handsy
  

Actual Results:  Kernel panic - not syncing: Machine check

Call Trace: <#MC> <ffffffff8013a3f5>{panic+133} <ffffffff80116d28>{print_mce+136}


Expected Results:   login:
Fedora Core release 3.91 (Pre-FC4)
Kernel 2.6.11-1.1323_FC4 on an x86_64


Additional info:

I will attach more console info in a moment.
Comment 1 Tom Mitchell 2005-05-21 01:10:54 EDT
Created attachment 114659 [details]
Unedited console info.

Thanks....
Comment 2 Dave Jones 2005-05-21 02:41:21 EDT
machine check exceptions are usually a sign of hardware going bad.
Try running memtest for a few hours.
Comment 3 Tom Mitchell 2005-05-21 21:45:27 EDT
Created attachment 114680 [details]
Second console capture...

After eight hours of memtest.
Another panic
Comment 4 Dave Jones 2005-06-27 19:19:47 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 5 Tom Mitchell 2005-07-02 13:14:58 EDT
Reproduced on FC4 released
 Note that the system will run with ide=nodma
Comment 6 Tom Mitchell 2005-07-02 13:17:03 EDT
Created attachment 116292 [details]
ttyS0/console  capture of the error
Comment 7 Dave Jones 2005-07-15 17:39:13 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 8 Dave Jones 2005-09-26 18:00:01 EDT
softlockup disabled in latest errata.

Note You need to log in before you can comment on or make changes to this bug.